Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Interface OtpTransport

All Known Implementing Classes:
  OtpSocketTransport

    public interface OtpTransport

Client-side connection-oriented transport interface.

Method Summary
`void` | `close()`
`java.io.InputStream` | `getInputStream()`
`java.io.OutputStream` | `getOutputStream()`

Method Detail

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Socket.getInputStream()`

### getOutputStream

    java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Socket.getOutputStream()`

### close

    void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Socket.close()`

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD